CHECK-DFSG-STATUS(1)

NAME
check-dfsg-status - report of installed non-free software

SYNOPSIS
check-dfsg-status [OPTION] ...

DESCRIPTION
This program began as an attempt to create a "virtual Richard M. Stallman" for Debian GNU/Linux. Thus the choice of name.

This program analyzes the currently-installed package list on a Debian GNU/Linux system, and reports the non-free and contrib packages that are currently installed to stdout. In some cases, such as regarding documentation licensed under the GNU Free Documentation License with invariant sections, the opinions of Richard M. Stallman and the Debian project have diverged since this program was originally written. In such cases, this program follows the definition of freedom embodied in the Debian Free Software Guidelines.

The packages in the non-free tree have restrictions on their use and/or distribution which cause them to fail to meet the terms of the Debian Free Software Guidelines included as part of the Debian Social Contract. However, some are sufficiently useful that their presence is often tolerated by Debian users despite their licensing.

The packages in the contrib tree are themselves free software but have some dependency on non-free software for their use that make them worthy of reporting so that their use can also be consciously considered.

Richard is the most vocal among us on the issue of software morality, and we agree with Richard that Debian users should have an easy way to know when they are running non-free software on their systems. This program is our attempt to fill that need.

OPTIONS
All options can be prefixed with -- (eg: --noexplain) to turn them off.

-q, --quiet
    Do nothing if there are no non-free packages installed.

-e, --explain
    Give a brief explanation of why each package is non-free, if available. This is the default.

-s, --sparse
    Just output a list of non-free packages.

--reason-dir=DIR
    Use DIR as the reason directory, instead of /usr/share/check-dfsg-status/reasons/.

-h, --help
    Display help.

-d, --debug
    Generate debugging information.

FILES

/usr/share/check-dfsg-status/reasons
    Default source of explanations for why packages are non-free.

HISTORY
This program was written by Bdale Garbee and Bill Geddes for the Debian GNU/Linux system, in response to an open discussion with Richard Stallman about the issues surrounding the availability/desirability of the 'non-free' package tree in Debian. It was originally named 'vrms' but for the reasons outlined in #962696 it was renamed to 'check-dfsg-status'.